-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

loadfile(os.getenv('CONFIG_FILE'), 't', {package = package, os = os})()
package.path = './test_bma/?.lua;' .. package.path

local utils = require 'utils.core'
local logging = require 'mc.logging'
local current_file_dir = debug.getinfo(1).source:match('@?(.*)/')
utils.chdir(current_file_dir)
logging:setPrint(nil)
logging:setLevel(logging.INFO)

local lu = require('luaunit')
require 'test_imu'
require 'test_bma'
require 'test_network_adapter_debug'
require 'test_device'
require 'test_network_adapter_ready_to_remove'
require 'test_hardware_config'
require 'test_infrastructure'
require 'test_hdk_cmd'
require 'test_metric_collect'
require 'test_optical_module_dfx'
-- require 'test_ncsi'
require 'test_out_of_band_mgmt'
require 'test_event_mgmt'
require 'test_debug_cmd'
require 'test_ncsi_protocol'
require 'test_upgrade'
require 'config_mgmt'
require 'test_firmware_info'
require 'test_npu_optical_module'

-- 执行所有测试
local test_result = lu.LuaUnit.run()

os.exit(test_result)
